# class hk_kdetable

KDE high level widget to display and alter tables. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdetable.h>`
Inherits | KParts::MainWindow (unknown) [public ], hk_dstable (unknown) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdetable (QWidget* w=0,const char* n=0,WFlags f=0)
- virtual ~hk_kdetable ()
- virtual bool set_mode (enum_mode s)
- bool in_designmode (void)
- virtual void set_datasource (hk_datasource*)
- hk_datasource* datasource (void)
- void set_autoclose (bool c)
- void set_nodesignmode (bool n)
- hk_dsgrid* grid (void)

#### Public Slots

- void designbutton_clicked (void)
- void tablebutton_clicked (void)
- void close_table (void)

#### Protected Methods

- virtual void before_source_vanishes (void)
- void closeEvent ( QCloseEvent* e)

#### Protected Members

- hk_kdetoolbar* toolbar
- hk_kdegrid* p_grid
- hk_kdetabledesign* p_design

## Detailed Description

hk_kdetable is a high level widget to display the content of tables and to define and alter the table structure.

hk_kdetable (QWidget* w=0,const char* n=0,WFlags f=0)

### hk_kdetable

~hk_kdetable ()

### ~hk_kdetable

[virtual]

bool set_mode (enum_mode s)

### set_mode

[virtual]

bool in_designmode (void)

### in_designmode

true if the design window is shown

void set_datasource (hk_datasource*)

### set_datasource

[virtual]

hk_datasource* datasource (void)

### datasource

void set_autoclose (bool c)

### set_autoclose

when the datasource vanishes (i.e. will be destroyed) and autoclose is true, the hk_kdetable will be closed otherwise it still is on your screen.

void set_nodesignmode (bool n)

### set_nodesignmode

if the designwindow should not be shown set this true. Default is false.

hk_dsgrid* grid (void)

### grid

void designbutton_clicked (void)

### designbutton_clicked

[slot]

void tablebutton_clicked (void)

### tablebutton_clicked

[slot]

void close_table (void)

### close_table

[slot]

void before_source_vanishes (void)

### before_source_vanishes

[protected virtual]

void closeEvent ( QCloseEvent* e)

### closeEvent

[protected]

hk_kdetoolbar* toolbar

### toolbar

[protected]

hk_kdegrid* p_grid

### p_grid

[protected]

hk_kdetabledesign* p_design

### p_design

[protected]

- Version: $Revision: 1.17 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.